<?php



class MGBS_plugin_output extends MGBS_plugin {

  

  

  function __construct(){

    $this->plugin_location = substr(plugin_dir_url(__FILE__),0, strrpos(plugin_dir_url(__FILE__), "/",-2)) . "/"; 

    $this->option_name ="ABC";

  }    

  function output_standings(){

    $opt = get_option($this->option_name);

    $standings["ALW"]  = $opt['standings_array']['data']['ALW'];

    $standings["ALE"]  = $opt['standings_array']['data']['ALE'];

    $standings["ALC"]  = $opt['standings_array']['data']['ALC'];

    $standings["NLW"]  = $opt['standings_array']['data']['NLW'];

    $standings["NLE"]  = $opt['standings_array']['data']['NLE'];

    $standings["NLC"]  = $opt['standings_array']['data']['NLC'];

    $widget_template            = file_get_contents($plugin_location . "templates/widget.php");

    $widget_table_template      = file_get_contents($plugin_location . "templates/widget_table.php");

    $widget_table_row_template  = file_get_contents($plugin_location . "templates/widget_table_row.php");

    foreach($standings as $key => $division){

      $output="";

      foreach($division as $team){

        $output .= sprintf($widget_table_row_template, $team['team_id'], $team['w'], $team['l'], $team['gb'], $team['gb']);

      }

      $table .= sprintf($widget_table_template, strtolower($key), $output);

    

    }

    return sprintf($widget_template, $table);

  }



}