<?php



class MGBS_utilities {

  const TEAM_KEY_NEEDLE="mlb.com-t";

  var $MLB_Fields=array();

  function __construct(){

    

    $this->MLB_Fields[]="Angel Stadium of Anaheim";

    $this->MLB_Fields[]="AT&T Park";

    $this->MLB_Fields[]="Busch Stadium";

    $this->MLB_Fields[]="Chase Field";

    $this->MLB_Fields[]="Citi Field";

    $this->MLB_Fields[]="Citizens Bank Park";

    $this->MLB_Fields[]="Comerica Park";

    $this->MLB_Fields[]="Coors Field";

    $this->MLB_Fields[]="Dodger Stadium";

    $this->MLB_Fields[]="Fenway Park";

    $this->MLB_Fields[]="Great American Ball Park";

    $this->MLB_Fields[]="Kauffman Stadium";

    $this->MLB_Fields[]="Marlins Park";

    $this->MLB_Fields[]="Miller Park";

    $this->MLB_Fields[]="Minute Maid Park";

    $this->MLB_Fields[]="Nationals Park";

    $this->MLB_Fields[]="Oakland Coliseum";

    $this->MLB_Fields[]="Oriole Park at Camden Yards";

    $this->MLB_Fields[]="PETCO Park";

    $this->MLB_Fields[]="PNC Park";

    $this->MLB_Fields[]="Progressive Field";

    $this->MLB_Fields[]="Rangers Ballpark in Arlington";

    $this->MLB_Fields[]="Rogers Centre";

    $this->MLB_Fields[]="Safeco Field";

    $this->MLB_Fields[]="Target Field";

    $this->MLB_Fields[]="Tropicana Field";

    $this->MLB_Fields[]="Turner Field";

    $this->MLB_Fields[]="U.S. Cellular Field";

    $this->MLB_Fields[]="Wrigley Field";

    $this->MLB_Fields[]="Yankee Stadium";

    $this->MLB_Fields[]="Tokyo Dome";



  }

  private function convert_league($league) {

    switch($league){

    case 'MLB.AL':

      return 'AL';

      break;

    case 'MLB.NL':

      return 'NL';

      break;

    }

    return false;

  }

  

  private function convert_division($division) {

    switch($division){

    case 'MLB.AL.W':

      return 'W';

      break;

    case 'MLB.AL.C':

      return 'C';

      break;

    case 'MLB.AL.E':

      return 'E';

      break;            

    case 'MLB.NL.W':

      return 'W';

      break;

    case 'MLB.NL.C':

      return 'C';

      break;

    case 'MLB.NL.E':

      return 'E';

      break;

    }

    return false;

  }  



 

  function convert_team($team_id) {

  $team_id=trim($team_id);

  

    $position = strpos($team_id,self::TEAM_KEY_NEEDLE);

    if ( $position !== false){

      $team_id = trim(substr($team_id, $position));

    }     

    switch($team_id){

      case 'mlb.com-t.6':	

        return "CHA";	

        break;

      case 'mlb.com-t.13':	

        return "SEA";	

        break;

      case 'mlb.com-t.7':	

        return "CLE";	

        break;

      case 'mlb.com-t.11':	

        return "LAA";	

        break;

      case 'mlb.com-t.27':	

        return "COL";	

        break;

      case 'mlb.com-t.30':	

        return "SFN";

        break;

      case 'mlb.com-t.26':	

        return "ARI";	

        break;

      case 'mlb.com-t.29':	

        return "SDN";	

        break;

      case 'mlb.com-t.24':	

        return "PIT";	

        break;

      case 'mlb.com-t.23':	

        return "MIL";	

        break;

      case 'mlb.com-t.25':	

        return "SLN";	

        break;

      case 'mlb.com-t.14':	

        return "TEX";	

        break;

      case 'mlb.com-t.4':	

        return "TBA";	

        break;

      case 'mlb.com-t.1':	

        return "BAL";	

        break;

      case 'mlb.com-t.21':	

        return "CIN";	

        break;

      case 'mlb.com-t.20':	

        return "CHN";	

        break;

      case 'mlb.com-t.10':	

        return "MIN";	

        break;

      case 'mlb.com-t.2':	

        return "BOS";	

        break;

      case 'mlb.com-t.8':	

        return "DET";	

        break;

      case 'mlb.com-t.5':	

        return "TOR";	

        break;

      case 'mlb.com-t.12':	

        return "OAK";	

        break;

      case 'mlb.com-t.9':	

        return "KCA";	

        break;

      case 'mlb.com-t.22':	

        return "HOU";	

        break;

      case 'mlb.com-t.15':	

        return "ATL";	

        break;

      case 'mlb.com-t.19':	

        return "PHI";	

        break;

      case 'mlb.com-t.31':

        return "WAS";

      case 'mlb.com-t.17':	

        return "WAS";	

        break;

      case 'mlb.com-t.16':	

        return "FLO";	

        break;

      case 'mlb.com-t.28':	

        return "LAN";	

        break;

      case 'mlb.com-t.18':	

        return "NYN";	

        break;

      case 'mlb.com-t.3':	

        return "NYA";

        break;

      case 'MLB.TEX':

        return 'TEX';

        break;

      case 'MLB.LAA':

        return 'LAA';

        break;

      case 'MLB.OAK':

        return 'OAK';

        break;

      case 'MLB.SEA':

        return 'SEA';

        break;

      case 'MLB.DET':

        return 'DET';

        break;

      case 'MLB.CLE':

        return 'CLE';

        break;

      case 'MLB.CHW':

        return 'CHA';

        break;

      case 'MLB.KC':

        return 'KCA';

        break;

      case 'MLB.MIN':

        return 'MIN';

        break;

      case 'MLB.NYY':

        return 'NYA';

        break;

      case 'MLB.TB':

        return 'TBA';

        break;

      case 'MLB.BOS':

        return 'BOS';

        break;

      case 'MLB.TOR':

        return 'TOR';

        break;

      case 'MLB.BAL':

        return 'BAL';

        break;

      case 'MLB.ARI':

        return 'ARI';

        break;

      case 'MLB.SF':

        return 'SFN';

        break;

      case 'MLB.LAD':

        return 'LAN';

        break;

      case 'MLB.COL':

        return 'COL';

        break;

      case 'MLB.SD':

        return 'SDN';

        break;

      case 'MLB.MIL':

        return 'MIL';

        break;

      case 'MLB.STL':

        return 'SLN';

        break;

      case 'MLB.CIN':

        return 'CIN';

        break;

      case 'MLB.PIT':

        return 'PIT';

        break;

      case 'MLB.CHC':

        return 'CHN';

        break;

      case 'MLB.HOU':

        return 'HOU';

        break;

      case 'MLB.PHI':

        return 'PHI';

        break;

      case 'MLB.ATL':

        return 'ATL';

        break;

      case 'MLB.WAS':

        return 'WAS';

        break;

      case 'MLB.NYM':

        return 'NYN';

        break;

      case 'MLB.FLA':

        return 'FLO';

        break;

      case 'MLB.MIA':

        return 'FLO';

        break;

      case 'Pirates':	

      	return 'PIT';

      	break;

      case 'Phillies':	

      	return 'PHI';

      	break;

      case 'Marlins':	

      	return 'FLO';

      	break;

      case 'Mets':	

      	return 'NYN';	

      	break;

      case 'Cubs':	

      	return 'CHN';

      	break;

      case 'Padres':	

      	return 'SDN';

      	break;

      case 'Astros':	

      	return 'HOU';

      	break;

      case 'Red Sox':	

      	return 'BOS';

      	break;

      case 'Nationals':	

      	return 'WAS';

      	break;

      case 'Dodgers':

      	return 'LAN';

      	break;

      case 'Rockies':

      	return 'COL';

      	break;

      case 'Rays':

      	return 'TBA';

      	break;

      case 'Braves':

      	return 'ATL';

      	break;

      case 'Giants':

      	return 'SFN';

      	break;

      case 'Brewers':

      	return 'MIL';

      	break;

      case 'D-backs':

      	return 'ARI';

      	break;

      case 'Cardinals':

      	return 'SLN';

      	break;

      case 'Reds':

      	return 'CIN';

      	break;

      case 'Angels':

      	return 'LAA';

      	break;

      case 'Yankees':

      	return 'NYA';

      	break;

      case 'Rangers':

      	return 'TEX';

      	break;

      case 'Royals':

      	return 'KCA';

      	break;

      case 'Twins':

      	return 'MIN';	

      	break;

      case 'Blue Jays':

      	return 'TOR';

      	break;

      case 'Orioles':

      	return 'BAL';

      	break;

      case 'Mariners':

      	return 'SEA';

      	break;

      case 'Athletics':

      	return 'OAK';

      	break;

      case 'Tigers':

      	return 'DET';

      	break;

      case 'Indians':

      	return 'CLE';

      	break;

      case 'White Sox':

      	return 'CHA';

      	break;

      case 'Diamondbacks':

      	return 'ARI';

      	break;

      case 'Diamond Backs':

      	return 'ARI';

      	break;

      case 'Diamond backs':

      	return 'ARI';

      	break;

      case 'LAA': 

        return 'LAA';

        break;

      case 'ARI': 

        return 'ARI';

        break;

      case 'BAL': 

        return 'BAL';

        break;

      case 'BOS': 

        return 'BOS';

        break;

      case 'CHN': 

        return 'CHN';

        break;

      case 'CIN': 

        return 'CIN';

        break;

      case 'CLE': 

        return 'CLE';

        break;

      case 'COL': 

        return 'COL';

        break;

      case 'DET': 

        return 'DET';

        break;

      case 'HOU': 

        return 'HOU';

        break;

      case 'KCA': 

        return 'KCA';

        break;

      case 'LAN': 

        return 'LAN';

        break;

      case 'WAS': 

        return 'WAS';

        break;

      case 'NYN': 

        return 'NYN';

        break;

      case 'OAK': 

        return 'OAK';

        break;

      case 'PIT': 

        return 'PIT';

        break;

      case 'SDN': 

        return 'SDN';

        break;

      case 'SEA': 

        return 'SEA';

        break;

      case 'SFN': 

        return 'SFN';

        break;

      case 'SLN': 

        return 'SLN';

        break;

      case 'TBA': 

        return 'TBA';

        break;

      case 'TEX': 

        return 'TEX';

        break;

      case 'TOR': 

        return 'TOR';

        break;

      case 'MIN': 

        return 'MIN';

        break;

      case 'PHI': 

        return 'PHI';

        break;

      case 'ATL': 

        return 'ATL';

        break;

      case 'CHA': 

        return 'CHA';

        break;

      case 'FLO': 

        return 'FLO';

        break;

      case 'NYA': 

        return 'NYA';

        break;

      case 'MIL': 

        return 'MIL';

        break;

        



      default:

        return false;

    }

    return false;

      

    

    

  }



public function convert_team_mlb_numeric ($team_id){

  $team_id = $this->convert_team($team_id);

  switch($team_id){

    case 'LAA': 

      return 108;

      break;

    case 'ARI': 

      return 109;

      break;

    case 'BAL': 

      return 110;

      break;

    case 'BOS': 

      return 111;

      break;

    case 'CHN': 

      return 112;

      break;

    case 'CIN': 

      return 113;

      break;

    case 'CLE': 

      return 114;

      break;

    case 'COL': 

      return 115;

      break;

    case 'DET': 

      return 116;

      break;

    case 'HOU': 

      return 117;

      break;

    case 'KCA': 

      return 118;

      break;

    case 'LAN': 

      return 119;

      break;

    case 'WAS': 

      return 120;

      break;

    case 'NYN': 

      return 121;

      break;

    case 'OAK': 

      return 133;

      break;

    case 'PIT': 

      return 134;

      break;

    case 'SDN': 

      return 135;

      break;

    case 'SEA': 

      return 136;

      break;

    case 'SFN': 

      return 137;

      break;

    case 'SLN': 

      return 138;

      break;

    case 'TBA': 

      return 139;

      break;

    case 'TEX': 

      return 140;

      break;

    case 'TOR': 

      return 141;

      break;

    case 'MIN': 

      return 142;

      break;

    case 'PHI': 

      return 143;

      break;

    case 'ATL': 

      return 144;

      break;

    case 'CHA': 

      return 145;

      break;

    case 'FLO': 

      return 146;

      break;

    case 'NYA': 

      return 147;

      break;

    case 'MIL': 

      return 158;

      break;

    default:

      return false;

      break;

    }

  }  



  function get_season_xml($team_id_raw, $season=0, $mlb=1){

    if ($season==0) {

      $season = date('Y');

    }

    if ($team_id = $this->convert_team_mlb_numeric($team_id_raw)) {

      $file_template  = "http://mlb.mlb.com/soa/ical/schedule.csv?team_id=%s&season=%s";

      $file           = sprintf($file_template, $team_id, $season);

      if ($mlb != 1) {

        return $this->csv2xml($file,"games","game");

      } else {

        $str = '<?xml version="1.0"?';

        $str.= '><games>';

        $xml      = new SimpleXMLElement($this->csv2xml($file,"games","game"));

        foreach($xml->children() as $child){

          if ( in_array($child->location, $this->MLB_Fields)){

            $str.=$child->asXML();

          }

        }

        $str.="</games>";

        return stripslashes($str);

      }

    }

    return false;

  }





  private function csv2xml($file, $container = 'data', $rows = 'row') {

        $r = "<{$container}>\n";

        $row = 0;

        $cols = 0;

        $titles = array();



        $handle = @fopen($file, 'r');

        if (!$handle) return $handle;



        while (($data = fgetcsv($handle, 1000, ',')) !== FALSE)

        {

             if ($row > 0) $r .= "\t<{$rows}>\n";

             if (!$cols) $cols = count($data);

             for ($i = 0; $i < $cols; $i++)

             {

                  if ($row == 0)

                  {

                       $titles[$i] = $data[$i];

                       continue;

                  }



                  $titles[$i]=htmlentities(strtolower($titles[$i]));

                  $r .= "\t\t<{$titles[$i]}>";

                  $data[$i] = htmlentities($data[$i]);

                  $r .= $data[$i];

                  $r .= "</{$titles[$i]}>\n";

             }

             if ($row > 0) $r .= "\t</{$rows}>\n";

             $row++;

        }

        fclose($handle);

        $r .= "</{$container}>";



        return $r;

  }

  

  function objectsIntoArray($arrObjData, $arrSkipIndices = array())

{

    $arrData = array();

   

    // if input is object, convert into array

    if (is_object($arrObjData)) {

        $arrObjData = get_object_vars($arrObjData);

    }

   

    if (is_array($arrObjData)) {

        foreach ($arrObjData as $index => $value) {

            if (is_object($value) || is_array($value)) {

                $value = MGBS_MLBUtilities::objectsIntoArray($value, $arrSkipIndices); // recursive call

            }

            if (in_array($index, $arrSkipIndices)) {

                continue;

            }

            $arrData[$index] = $value;

        }

    }

    return $arrData;

}





static function team_shortname($team_id) {

  $team_id=trim($team_id);

  switch($team_id){

  case 'WAS':	 

    return 'Nationals';

    break;

  case 'TOR':	 

    return 'Blue Jays';

    break;

  case 'TEX':	 

    return 'Rangers';

    break;

  case 'TBA':	 

    return 'Rays';

    break;

  case 'SLN':	 

    return 'Cardinals';

    break;

  case 'SFN':	 

    return 'Giants';

    break;

  case 'SEA':	 

    return 'Mariners';

    break;

  case 'SDN':	 

    return 'Padres';

    break;

  case 'PIT':	 

    return 'Pirates';

    break;

  case 'PHI':	 

    return 'Phillies';

    break;

  case 'OAK':	 

    return 'Athletics';

    break;

  case 'NYN':	 

    return 'Mets';

    break;

  case 'NYA':	 

    return 'Yankees';

    break;

  case 'MIN':	 

    return 'Twins';

    break;

  case 'MIL':	 

    return 'Brewers';

    break;

  case 'LAN':	 

    return 'Dodgers';

    break;

  case 'LAA':	 

    return 'Angels';

    break;

  case 'KCA':	 

    return 'Royals';

    break;

  case 'HOU':	 

    return 'Astros';

    break;

  case 'FLO':	 

    return 'Marlins';

    break;

  case 'DET':	 

    return 'Tigers';

    break;

  case 'COL':	 

    return 'Rockies';

    break;

  case 'CLE':	 

    return 'Indians';

    break;

  case 'CIN':	 

    return 'Reds';

    break;

  case 'CHN':	 

    return 'Cubs';

    break;

  case 'CHA':	 

    return 'White Sox';

    break;

  case 'BOS':	 

    return 'Red Sox';

    break;

  case 'BAL':	 

    return 'Orioles';

    break;

  case 'ATL':	 

    return 'Braves';

    break;

  case 'ARI':	 

    return 'D-Backs';

    break;

      

  }

  

}

}  